// win32mine.h : win32mine 應用程式的主標頭檔
//
#pragma once

#ifndef __AFXWIN_H__
	#error "對 PCH 包含此檔案前先包含 'stdafx.h'"
#endif

#include "resource.h"       // 主要符號

#define MAXBOARDSIZE 30
#define BEGINNERWIDTH 9
#define BEGINNERHEIGHT 9
#define INTERMEDIATEWIDTH 16
#define INTERMEDIATEHEIGHT 16
#define ADVANCEDWIDTH 30
#define ADVANCEDHEIGHT 16

typedef int (*CELLROWPTR)[MAXBOARDSIZE];

// Cwin32mineApp:
// 請參閱實作此類別的 win32mine.cpp
//

class Cwin32mineApp : public CWinApp
{
public:
	Cwin32mineApp();


// 覆寫
public:
	virtual BOOL InitInstance();

// 程式碼實作
	afx_msg void OnAppAbout();
	DECLARE_MESSAGE_MAP()

protected:
    afx_msg void OnAppExit();
};

extern Cwin32mineApp theApp;